unit PROS_AppTransDetail;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ColorGrd, Trpcb, MFunStr, ExtCtrls;

type
  TfrmAppTransDetail = class(TForm)
    btnApTrDeClose: TBitBtn;
    edtAppTransIEN: TEdit;
    edtApTrDeForm: TEdit;
    edtApTrDeDeliver: TEdit;
    edtApTrDeType: TEdit;
    edtApTrDeDeliveryDate: TEdit;
    edtApTrDeHcpcs: TEdit;
    edtApTrDeICD9: TEdit;
    edtApTrDeCPT: TEdit;
    edtApTrDePSASDesc: TEdit;
    edtApTrDeInitiator: TEdit;
    edtApTrDeDate: TEdit;
    edtApTrDeQty: TEdit;
    edtApTrDeSource: TEdit;
    edtApTrDeHcpcsDesc: TEdit;
    edtApTrDeSite: TEdit;
    lblApTrDeForm: TLabel;
    lblApTrDeDeliver: TLabel;
    lblApTrDeType: TLabel;
    lblApTrDeDeleiveryDate: TLabel;
    lblApTrDeRemarks: TLabel;
    lblApTrDeDisabilityServerd: TLabel;
    lblApTrDeAppliance: TLabel;
    lblApTrDePSASHcpcs: TLabel;
    lblApTrDeICD9: TLabel;
    lblApTrDeCPT: TLabel;
    lblApTrDeDescription: TLabel;
    lblApTrDeInitiator: TLabel;
    lblApTrDeDate: TLabel;
    lblApTrDeQty: TLabel;
    lblApTrDeSource: TLabel;
    lblApTrDeTransaction: TLabel;
    lblApTrDeHcpcsDesc: TLabel;
    lblApTrDeSite: TLabel;
    edtApTrDeRemarks: TEdit;
    edtApTrDePtCategory: TEdit;
    edtApTrDeItem: TEdit;
    memApTrDeLongDesc: TMemo;
    edtApTrDeMaterialCost: TEdit;
    edtApTrDeVendorZip: TEdit;
    edtApTrDeTech: TEdit;
    edtApTrDeVendor: TEdit;
    edtApTrDeCompltDate: TEdit;
    edtApTrDeLabRemarks: TEdit;
    edtApTrDeTotalCost: TEdit;
    edtApTrDeLaborHours: TEdit;
    edtApTrDeLabCost: TEdit;
    edtApTrDeLaborCost: TEdit;
    bvlApTrDeItem: TBevel;
    lblApTrDeCompl: TLabel;
    lblApTrDeTotalCost: TLabel;
    lblBannerItem: TLabel;
    lblApTrDeLabRem: TLabel;
    lblApTrDeVendor: TLabel;
    lblApTrDeVendorStreet: TLabel;
    lblApTrDeTech: TLabel;
    lblApTrDeVendorCity: TLabel;
    bvlApTrDeVendor: TBevel;
    bvlApTrDeCost: TBevel;
    lblBannerFees: TLabel;
    lblBannerLab: TLabel;
    edtApTrDeVendorState: TEdit;
    edtApTrDeVendorCity: TEdit;
    edtApTrDeVendorStreet: TEdit;
    lblBannerVendor: TLabel;
    edtApTrDeVendorTrack: TEdit;
    edtApTrDeVendorPhone: TEdit;
    lblApTrDeVendorState: TLabel;
    lblApTrDeVendorZip: TLabel;
    lblApTrDeVendorPhone: TLabel;
    lblApTrDeVendorTrack: TLabel;
    lblApTrDeLaborHrs: TLabel;
    lblApTrDeLaborCost: TLabel;
    lblApTrDeMaterialCost: TLabel;
    lblApTrDeLabCost: TLabel;
    edtApTrDeOrthoCode: TEdit;
    edtApTrDeRestoCode: TEdit;
    lblApTrDeOrtho: TLabel;
    lblApTrDeRestoCode: TLabel;
    edtApTrDeInvenPoint: TEdit;
    lblApTrDeInvenPoint: TLabel;
    bvlApTrDeCoreFLS: TBevel;
    lblBannerCoreFLS: TLabel;
    lblApTrDeCoreFLSVen: TLabel;
    edtApTrDeCoreFLSVen: TEdit;
    lblApTrDeCoreFLSVenStreet: TLabel;
    edtApTrDeCoreFLSVenStreet: TEdit;
    lblApTrDeCoreFLSVenCity: TLabel;
    edtApTrDeCoreFLSVenCity: TEdit;
    lblApTrDeCoreFLSState: TLabel;
    edtApTrDeCoreFLSVenState: TEdit;
    lblApTrDeCoreFLSZip: TLabel;
    edtApTrDeCoreFLSVenZip: TEdit;
    lblApTrDeCoreFLSVenPhone: TLabel;
    edtApTrDeCoreFLSVenPhone: TEdit;
    edtApTrDeCoreFLSVenItem: TEdit;
    edtApTrDeCoreFLSVenStation: TEdit;
    edtApTrDeBankAuth: TEdit;
    lblApTrDeBankAuth: TLabel;
    edtApTrDeReturnStatus: TEdit;
    lblApTrDeReturnStatus: TLabel;
    edtApTrDeWorkOrd: TEdit;
    lblApTrDeWorkOrd: TLabel;
    edtApTrDeRecvStation: TEdit;
    lblApTrDeRecvSta: TLabel;
    lblApTrDeCoreFLSVenItem: TLabel;
    lblApTrDeCoreFLSVenStation: TLabel;
    lblBannerExtDesc: TLabel;
    procedure btnApTrDeCloseClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAppTransDetail: TfrmAppTransDetail;

implementation

uses PROS_View2319, Pros_Menu;

{$R *.DFM}

procedure TfrmAppTransDetail.btnApTrDeCloseClick(Sender: TObject);
begin
Close;
end;

procedure TfrmAppTransDetail.FormShow(Sender: TObject);
var
 i : integer;
begin
    frmMenu.brkrRPC.RemoteProcedure := 'RMPR TRANS LIST EXPANDED';
    frmMenu.brkrRPC.Param[0].Value := IEN660;
    frmMenu.brkrRPC.Param[0].PType := literal;

  TRY
    frmMenu.brkrRPC.Call;        //Tab 4 Detail
  Except
   on E:EBrokerError do
       begin
       Showmessage('Broker Error: '+ E.Message);
       end;
     on E:EAccessViolation do
       Showmessage('E.Message');
     else
       raise;
  END;

              edtApTrDeSite.Text := frmMenu.brkrRPC.Results[2];  //Site
              edtApTrDeForm.Text := frmMenu.brkrRPC.Results[4];  //Type Form
         edtApTrDeInitiator.Text := frmMenu.brkrRPC.Results[5];  //Initiator
              edtApTrDeDate.Text := frmMenu.brkrRPC.Results[6];  //Entry Date
           edtApTrDeDeliver.Text := frmMenu.brkrRPC.Results[7];  //Deliver To
              edtApTrDeType.Text := frmMenu.brkrRPC.Results[8];  //Type of Trans
               edtApTrDeQty.Text := frmMenu.brkrRPC.Results[9];  //Qty
        edtApTrDeInvenPoint.Text := frmMenu.brkrRPC.Results[10]; //Inven Point
            edtApTrDeSource.Text := frmMenu.brkrRPC.Results[11]; //Source
       edtApTrDeVendorTrack.Text := frmMenu.brkrRPC.Results[12]; //Vendor Track#
          edtApTrDeBankAuth.Text := frmMenu.brkrRPC.Results[13]; //Bank Auth#
            edtApTrDeVendor.Text := frmMenu.brkrRPC.Results[14]; //Vendor
       edtApTrDeVendorPhone.Text := frmMenu.brkrRPC.Results[15]; //Ven Phone
      edtApTrDeVendorStreet.Text := frmMenu.brkrRPC.Results[16]; //Ven Street
        edtApTrDeVendorCity.Text := frmMenu.brkrRPC.Results[17]; //Ven City
       edtApTrDeVendorState.Text := frmMenu.brkrRPC.Results[18]; //Ven State
         edtApTrDeVendorZip.Text := frmMenu.brkrRPC.Results[19]; //Ven Zip
      edtApTrDeDeliveryDate.Text := frmMenu.brkrRPC.Results[20]; //Delive Date
         edtApTrDeTotalCost.Text := frmMenu.brkrRPC.Results[21]; //Total Cost
             edtAppTransIEN.Text := frmMenu.brkrRPC.Results[22]; //Transaction
           edtApTrDeWorkOrd.Text := frmMenu.brkrRPC.Results[23]; //Work Ord #
       edtApTrDeRecvStation.Text := frmMenu.brkrRPC.Results[24]; //Recv Station
              edtApTrDeTech.Text := frmMenu.brkrRPC.Results[25]; //Technician
        edtApTrDeLaborHours.Text := frmMenu.brkrRPC.Results[26]; //Labor Hours
         edtApTrDeLaborCost.Text := frmMenu.brkrRPC.Results[27]; //Labor Cost
      edtApTrDeMaterialCost.Text := frmMenu.brkrRPC.Results[28]; //Material Cost
           edtApTrDeLabCost.Text := frmMenu.brkrRPC.Results[29]; //Lab Cost
        edtApTrDeCompltDate.Text := frmMenu.brkrRPC.Results[30]; //Completion Date
        edtApTrDeLabRemarks.Text := frmMenu.brkrRPC.Results[31]; //Lab Remarks
           edtApTrDeRemarks.Text := frmMenu.brkrRPC.Results[32]; //Remarks
      edtApTrDeReturnStatus.Text := frmMenu.brkrRPC.Results[33]; //Return Status
    edtApTrDeCoreFLSVenItem.Text := frmMenu.brkrRPC.Results[34]; //CoreFLS Item
 edtApTrDeCoreFLSVenStation.Text := frmMenu.brkrRPC.Results[35]; //CoreFLS Station
        edtApTrDeCoreFLSVen.Text := frmMenu.brkrRPC.Results[36]; //CoreFLS Vendor
   edtApTrDeCoreFLSVenPhone.Text := frmMenu.brkrRPC.Results[37]; //CoreFLS Ven Phone
  edtApTrDeCoreFLSVenStreet.Text := frmMenu.brkrRPC.Results[38]; //CoreFLS Ven Street
    edtApTrDeCoreFLSVenCity.Text := frmMenu.brkrRPC.Results[39]; //CoreFLS Ven City
   edtApTrDeCoreFLSVenState.Text := frmMenu.brkrRPC.Results[40]; //CoreFLS Ven State
     edtApTrDeCoreFLSVenZip.Text := frmMenu.brkrRPC.Results[41]; //CoreFLS Ven Zip
         edtApTrDeOrthoCode.Text := frmMenu.brkrRPC.Results[42]; //Ortho Lab Code
         edtApTrDeRestoCode.Text := frmMenu.brkrRPC.Results[43]; //Resto Lab Code
        edtApTrDePtCategory.Text := frmMenu.brkrRPC.Results[44]; //Patient Category
              edtApTrDeItem.Text := frmMenu.brkrRPC.Results[45]; //Item
             edtApTrDeHcpcs.Text := frmMenu.brkrRPC.Results[46]; //PSAS HCPCS Code
         edtApTrDeHcpcsDesc.Text := frmMenu.brkrRPC.Results[47]; //PSAS HCPCS Desc
              edtApTrDeICD9.Text := frmMenu.brkrRPC.Results[48]; //IDC-9 Code
               edtApTrDeCPT.Text := frmMenu.brkrRPC.Results[49]; //CPT Modifier
          edtApTrDePSASDesc.Text := frmMenu.brkrRPC.Results[50]; //Description Short

  begin                                   //Fill Long Desciption
     memApTrDeLongDesc.Lines.Clear;
     for i := 51 to frmMenu.brkrRPC.Results.Count -1 do  //Start at 51
       begin
       memApTrDeLongDesc.Lines.Add (frmMenu.brkrRPC.Results[i]);
       end;
    memApTrDeLongDesc.SelStart := 0;
    memApTrDeLongDesc.Perform(EM_SCROLLCARET, 0, 0);  //Sets cursor to top
  end;    //Long Description
end;

end.
