unit uPROS_InventoryTransactionErrorResolve;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Fmcntrls, Buttons,  Trpcb, MFunStr, ActnList,
  VA508AccessibilityManager;

type
  TfrmInventoryTransactionErrorResolve = class(TForm)
    lblBannerName: TLabel;
    lblErrorDescription: TLabel;
    lblErrorRemarks: TLabel;
    btnSave: TBitBtn;
    edtErrorIEN666: TEdit;
    edtErrorIEN666_09: TEdit;
    edtErrorRemarks: TEdit;
    rgpErrorResolved: TFMRadioGroup;
    edtErrorDescription: TEdit;
    edtErrorCode: TEdit;
    lblErrorCode: TLabel;
    Label1: TLabel;
    edtErrorSeverity: TEdit;
    btnQuit: TBitBtn;
    ActionList1: TActionList;
    Action1: TAction;
    Action2: TAction;
    VA508AccessibilityManager1: TVA508AccessibilityManager;
    procedure btnSaveClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnQuitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmInventoryTransactionErrorResolve: TfrmInventoryTransactionErrorResolve;

implementation

uses
PROS_Menu, uPROS_InventoryTransactionDetail;

{$R *.dfm}

procedure TfrmInventoryTransactionErrorResolve.btnQuitClick(Sender: TObject);
begin
 Close;
end;

procedure TfrmInventoryTransactionErrorResolve.btnSaveClick(Sender: TObject);
begin
  if MessageDlg('Are you sure you want to Edit this Record?',mtConfirmation,[mbNo,mbYes],0) = mrYes then
    begin
        frmMenu.brkrRPC.RemoteProcedure := 'RMPR INV MON ERROR EDIT';
        frmMenu.brkrRPC.Param[1].Value := edtErrorIEN666.Text;
        frmMenu.brkrRPC.Param[1].PType := literal;
        frmMenu.brkrRPC.Param[2].Value := edtErrorIEN666_09.Text;
        frmMenu.brkrRPC.Param[2].PType := literal;
        frmMenu.brkrRPC.Param[3].Value := edtErrorRemarks.Text;
        frmMenu.brkrRPC.Param[3].PType := literal;
        frmMenu.brkrRPC.Param[4].Value := rgpErrorResolved.FMInternalCodes.Strings[rgpErrorResolved.ItemIndex];
        frmMenu.brkrRPC.Param[4].PType := literal;


     Try
     //
      frmMenu.brkrRPC.Call;

     except
      on E:EBrokerError do
        begin
        Showmessage('Broker Error: '+ E.Message);
        end;
      on E:EAccessViolation do
        ShowMessage(E.Message);
      else
        raise;
      end;

        if Piece(frmMenu.brkrRPC.Results[0],'^',1) = '1' then  //error
           MessageDlg(Piece(frmMenu.brkrRPC.Results[0],'^',2),mtInformation,[mbOk],0);

//        if Piece(frmMenu.brkrRPC.Results[0],'^',1) = '0' then  //Ok
//           begin
//            MessageDlg(Piece(frmMenu.brkrRPC.Results[0],'^',2),mtInformation,[mbOk],0);
//           end;
        close;
        frmInventoryTransactionDetail.btnDisplay.click;
   end
  else
  ShowMessage('Your changes have not been saved.');
 end;


procedure TfrmInventoryTransactionErrorResolve.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
 begin
   frmInventoryTransactionDetail.btnDisplay.Click;
 end;
release;
end;

end.
